nand_write_page_syndrome
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_write_page_syndrome — [REPLACABLE] hardware ecc syndrom based page write

## Synopsis

`void nand_write_page_syndrome (` | struct mtd_info * | mtd,
| struct nand_chip * | chip,
| const uint8_t * | buf`)`;

## Arguments

`mtd`

  mtd info structure

`chip`

  nand chip info structure

`buf`

  data buffer

## Description

The hw generator calculates the error syndrome automatically. Therefor we need a special oob layout and handling.

Prev | Up | Next
nand_write_page_hwecc | Home | nand_write_page